=== debian/changelog ===
ia32-libs (1.4ubuntu19) dapper; urgency=low

  * Guard the amd64 diversion removal in preinst so it works on ia64
  * Refresh sources and binaries to the latest versions from the archive.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 30 May 2006 01:14:03 +1000

ia32-libs (1.4ubuntu18) dapper; urgency=low

  * No, no.  Really fix the diversion removal, and really close #38879.
    (Thanks to Scott Dier for breaking his computer to discover this)

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 20 May 2006 06:31:04 +1000

ia32-libs (1.4ubuntu17) dapper; urgency=low

  * debian/ia32.preinst: Correctly remove the ldd.amd64 diversion.
    Closes: Malone #38879.
  * Freshen packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Apr 2006 11:24:00 +0000

ia32-libs (1.4ubuntu16) dapper; urgency=low

  * Freshen packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Mar 2006 09:25:17 +0000

ia32-libs (1.4ubuntu15) dapper; urgency=low

  The ia64 "let's start the OOo fun and let the CD's overflow" build.

  * Add libstdc++6 on ia64.
  * New package lib32stdc++6 for ia64.
  * Make lib32gcc1 and lib32z1 installable.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Mar 2006 13:58:58 +0000

ia32-libs (1.4ubuntu14) dapper; urgency=low

  * Freshen packages.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Mar 2006 14:21:43 +0000

ia32-libs (1.4ubuntu13) dapper; urgency=low

  * Fix build failure on ia64. Ubuntu #23297.
  * Add libpopt0. Ubuntu #12813.

 -- Matthias Klose <doko@ubuntu.com>  Sat,  4 Mar 2006 14:18:46 +0000

ia32-libs (1.4ubuntu12) dapper; urgency=low

  * Stop building ia32-libs-dev on amd64.
  * Fix package name in ia32-libs-dev dependency. Ubuntu #33271.
  * Add libxp6. Ubuntu #25816.
  * Add libdrm2, libxxf86vm1. Ubuntu #23560.
  * Drop gtk2-engines-pixbuf, moving to ia32-libs-gtk.
  * Drop Gtk1 related libraries: gdk-imlib11, libglib1.2, libgtk1.2,
    libgtk1.2-common.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  2 Mar 2006 14:52:27 +0000

ia32-libs (1.4ubuntu11) dapper; urgency=low

  * Replaces ia32-libs-gtk (<< 9). Ubuntu #33384.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  2 Mar 2006 14:34:11 +0000

ia32-libs (1.4ubuntu10) dapper; urgency=low

  * Make the conflict on openoffice.org2-core versioned (<< 2.0.1oob680m5).

 -- Matthias Klose <doko@ubuntu.com>  Thu,  2 Mar 2006 03:05:14 +0000

ia32-libs (1.4ubuntu9) dapper; urgency=low

  * Add a conflict to openoffice.org2-core.
  * Drop db4.2 again.
  * Add libidn11 (moved from ia32-libs-openoffice.org/-kde).
  * Add libcairo2 libxrender1 libpng12-0 (moved from
    ia32-libs-openoffice.org/-gnome).
  * Replaces ia32-libs-openoffice.org (<< 4), ia32-libs-kde (<< 3).

 -- Matthias Klose <doko@ubuntu.com>  Wed,  1 Mar 2006 20:33:07 +0000

ia32-libs (1.4ubuntu8) dapper; urgency=low

  * Re-add db4.2, still needed by openoffice.org2.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Feb 2006 13:17:19 +0000

ia32-libs (1.4ubuntu7) dapper; urgency=low

  * Freshen packages.
  * Remove db4.2, xlibs-data package.
  * Fix build failure (no more lib*.a files anymore on amd64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Feb 2006 19:12:40 +0000

ia32-libs (1.4ubuntu6) dapper; urgency=low

  * Freshen packages.
  * Do not include ncurses libs, found in the lib32ncurses packages.
  * Add db4.3 package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Jan 2006 15:36:45 +0100

ia32-libs (1.4ubuntu5) dapper; urgency=low

  * Freshen packages, replace gdk-imlib1 by gdk-imlib11.
  * Drop libc6 packages on amd64.
  * On amd64, (build-)depend on libc6-i386/libc6-dev-i386.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  9 Dec 2005 18:25:54 +0000
