=== debian/changelog ===
ia32-libs (1.4ubuntu20) dapper-security; urgency=low

  * Update libtiff4.
  * SECURITY UPDATE: Arbitrary command execution with crafted long file names.
  * Add debian/patches/tiffsplit-fname-overflow.patch:
    - tools/tiffsplit.c: Use snprintf instead of strcpy for copying the
      user-specified file name into a statically sized buffer.
    - CVE-2006-2656

  * Update libfreetype6.
  * SECURITY UPDATE: Arbitrary code execution and DoS with crafted font files.
  * Add debian/patches/403-pcf-strlen.patch:
    - src/pcf/pcfread.c: Detect invalid string lengths.
    - CVE-2006-3467

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Jul 2006 14:39:59 +0000
